%{?nodejs_find_provides_and_requires}

%global packagename extglob

# tests disabled due to circular dependency on micromatch
%global enable_tests 0

Name:		nodejs-extglob
Version:	1.1.0
Release:	1%{?dist}
Summary:	Convert extended globs to regex-compatible strings

License:	MIT
URL:		https://github.com/jonschlinkert/extglob.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ansi-green)
BuildRequires:	npm(fragment-cache)
BuildRequires:	npm(is-extglob)
BuildRequires:	npm(success-symbol)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(bash-match)
BuildRequires:	npm(micromatch)
%endif

%description
Convert extended globs to regex-compatible strings. Add (almost) the expressive
power of regular expressions to glob patterns.


%prep
%setup -q -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Update to upstream 1.1.0 release

* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-1
- Initial packaging
